package com.boman.domain;

import java.util.Date;

/**
 * 角色权限数据对象 sys_role_data
 * 
 * @author ruoyi
 * @date 2021-04-26
 */
public class SysRoleData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**
     * 1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）5 :仅本人数据
     */
    public static final String ALL_DATA = "1";
    public static final String DIY_DATA = "2";
    public static final String SELF_DEPT_DATA = "3";
    public static final String SUB_DEPT_DATA = "4";
    public static final String MYSELF_DATA = "5";

    /** 角色权限id */
    private Long id;

    /** 角色id */
    private Long roleId;

    private String roleName;

    /** 显示顺序 */
    private Integer roleSort;

    /** 权限表单 */
    private String tableName;

    /** 数据过滤(字典表)（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限） */
    private String dataScope;

    /** 是否可用（Y是） */
    private String isUse;

    /** 是否删除（Y是） */
    private String isDel;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private Date updateTime;

    /** 备注 */
    private String remark;

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setRoleId(Long roleId) 
    {
        this.roleId = roleId;
    }

    public Long getRoleId() 
    {
        return roleId;
    }
    public void setRoleSort(Integer roleSort) 
    {
        this.roleSort = roleSort;
    }

    public Integer getRoleSort() 
    {
        return roleSort;
    }
    public void setTableName(String tableName) 
    {
        this.tableName = tableName;
    }

    public String getTableName() 
    {
        return tableName;
    }
    public void setDataScope(String dataScope) 
    {
        this.dataScope = dataScope;
    }

    public String getDataScope() 
    {
        return dataScope;
    }
    public void setIsUse(String isUse) 
    {
        this.isUse = isUse;
    }

    public String getIsUse() 
    {
        return isUse;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String getCreateBy() {
        return createBy;
    }

    @Override
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String getUpdateBy() {
        return updateBy;
    }

    @Override
    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    @Override
    public Date getUpdateTime() {
        return updateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }
}
